import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { PcB2BPayeeAccount } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-08-25 10:35
 */
interface PcB2BPayeeAccountCU extends ConditionUtil<PcB2BPayeeAccountCU> {
    ID: FieldUtil<PcB2BPayeeAccountCU>;
    NAME: FieldUtil<PcB2BPayeeAccountCU>;
    CHANNEL_CODE: FieldUtil<PcB2BPayeeAccountCU>;
    CONFIG_JSON: FieldUtil<PcB2BPayeeAccountCU>;
    REMARK: FieldUtil<PcB2BPayeeAccountCU>;
}
declare class PcB2BPayeeAccountMU extends TableUtilImpl<PcB2BPayeeAccountCU, PcB2BPayeeAccount> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): PcB2BPayeeAccountCU;
    static get ID(): FieldUtil<PcB2BPayeeAccountCU>;
    static get NAME(): FieldUtil<PcB2BPayeeAccountCU>;
    static get CHANNEL_CODE(): FieldUtil<PcB2BPayeeAccountCU>;
    static get CONFIG_JSON(): FieldUtil<PcB2BPayeeAccountCU>;
    static get REMARK(): FieldUtil<PcB2BPayeeAccountCU>;
    get ID(): FieldUtil<PcB2BPayeeAccountCU>;
    get NAME(): FieldUtil<PcB2BPayeeAccountCU>;
    get CHANNEL_CODE(): FieldUtil<PcB2BPayeeAccountCU>;
    get CONFIG_JSON(): FieldUtil<PcB2BPayeeAccountCU>;
    get REMARK(): FieldUtil<PcB2BPayeeAccountCU>;
}
export { PcB2BPayeeAccountMU, PcB2BPayeeAccountCU };
